curl --request GET \
--url https://api.sandbox.co.in/gst/compliance/tax-payer/gstrs/gstr-9/auto-calculated \
--header 'authorization: <authorization>' \
--header 'x-api-key: <x-api-key>'import requests
url = "https://api.sandbox.co.in/gst/compliance/tax-payer/gstrs/gstr-9/auto-calculated"
headers = {
"authorization": "<authorization>",
"x-api-key": "<x-api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {authorization: '<authorization>', 'x-api-key': '<x-api-key>'}
};
fetch('https://api.sandbox.co.in/gst/compliance/tax-payer/gstrs/gstr-9/auto-calculated', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": 200,
"data": {
"status_cd": "1",
"data": {
"aggTurnover": 34376971.41,
"fp": "032024",
"gstin": "29AAACQ3770E000",
"hsnMinLen": 6,
"table4": {
"amd_neg": {
"camt": 0,
"csamt": 0,
"iamt": 0,
"samt": 0,
"txval": 0
},
"amd_pos": {
"camt": 0,
"csamt": 0,
"iamt": 0,
"samt": 0,
"txval": 0
},
"at": {
"camt": 0,
"csamt": 0,
"iamt": 0,
"samt": 0,
"txval": 0
},
"b2b": {
"camt": 222404.68,
"csamt": 0,
"iamt": 50984.24,
"samt": 222404.68,
"txval": 2754408.56
},
"b2c": {
"camt": 33512.24,
"csamt": 0,
"iamt": 5701789.17,
"samt": 33512.24,
"txval": 32048951.84
},
"chksum": "dc742365e7c5c9dcc4efd3ff3fc77a2cc1d94339747f780fd2d7382d76af0c82",
"cr_nt": {
"camt": 8.76,
"csamt": 0,
"iamt": 76732.5,
"samt": 8.76,
"txval": 426388.99
},
"deemed": {
"camt": 0,
"csamt": 0,
"iamt": 0,
"samt": 0,
"txval": 0
},
"dr_nt": {
"camt": 0,
"csamt": 0,
"iamt": 0,
"samt": 0,
"txval": 0
},
"ecom": {
"camt": 0,
"csamt": 0,
"iamt": 0,
"samt": 0,
"txval": 0
},
"exp": {
"csamt": 0,
"iamt": 0,
"txval": 0
},
"rchrg": {
"camt": 0,
"csamt": 0,
"iamt": 0,
"samt": 0,
"txval": 0
},
"sez": {
"csamt": 0,
"iamt": 0,
"txval": 0
}
},
"table5": {
"amd_neg": {
"txval": 0
},
"amd_pos": {
"txval": 0
},
"chksum": "7a1def7ba17e36641074355a875c30e52d7485bbd60a8bbda9bc73afd88620e7",
"cr_nt": {
"txval": 0
},
"dr_nt": {
"txval": 0
},
"ecom_14": {
"txval": 0
},
"exmt": {
"txval": 0
},
"nil": {
"txval": 0
},
"non_gst": {
"txval": 0
},
"rchrg": {
"txval": 0
},
"sez": {
"txval": 0
},
"zero_rtd": {
"txval": 0
}
},
"table6": {
"chksum": "470acfff6eb2bff7726b8b0b64f0ecf2b0afced07877cb5d8e93135ed78e61c2",
"isd": {
"camt": 0,
"csamt": 0,
"iamt": 0,
"samt": 0
},
"itc_3b": {
"camt": 169941.56,
"csamt": 0,
"iamt": 826797.78,
"samt": 169941.56
},
"tran1": {
"camt": 0,
"samt": 0
},
"tran2": {
"camt": 0,
"samt": 0
}
},
"table8": {
"chksum": "9a318de4f9f555678af075a05be280be0f25f7b82dc1051ee76319e7a90dde81",
"itc_2b": {
"camt": 176819.92,
"csamt": 0,
"iamt": 818942.78,
"samt": 176819.92
}
},
"table9": {
"camt": {
"tax_paid_itc_camt": 61419,
"tax_paid_itc_iamt": 16529,
"txpaid_cash": 177960,
"txpyble": 255908
},
"chksum": "6612865879bd1f0ab456808c75c5402e6974c9ff6a51154777d1880fec82f041",
"csamt": {
"tax_paid_itc_csamt": 0,
"txpaid_cash": 0,
"txpyble": 0
},
"fee": {
"txpaid_cash": 50,
"txpyble": 50
},
"iamt": {
"tax_paid_itc_camt": 108521,
"tax_paid_itc_iamt": 824879,
"tax_paid_itc_samt": 108521,
"txpaid_cash": 4669454,
"txpyble": 5711375
},
"intr": {
"txpaid_cash": 0,
"txpyble": 0
},
"samt": {
"tax_paid_itc_iamt": 16529,
"tax_paid_itc_samt": 61419,
"txpaid_cash": 177960,
"txpyble": 255908
}
}
}
},
"timestamp": 1734687822000,
"transaction_id": "68db5ea8-f76b-4cad-97b6-507e46f0f283"
}GSTR-9 Auto Calculated Details
Fetch the auto-calculated table details in the GSTR-9 as available with the GST Department.
Response schema
For successful responses, these resources describe the GSTN payload atdata.data.
View JSON schema
View Excel field reference
Headers
GST taxpayer access token. For token-generation steps, refer to the Generate Taxpayer Session recipe, then pass the token in the authorization header.
API key for identification
API version
Query Parameters
Financial year. E.g., FY 2023-24
"{{financial_year}}"
Response
GSTR-1/GSTR-3B not filed / Invalid Return Period / 200 Success / RT-9AS-1007 Processing summary calculation
- Option 1
- Option 2
A GSTN success or GSTN business-failure response. Both variants use HTTP 200.
The HTTP status code reported in the response body.
200 200
The response timestamp in Unix epoch milliseconds.
1763446641000
The transaction identifier used to trace the request.
"41bb8041-fb83-4654-8d75-85a19f329158"
The GSTN success wrapper.
Show child attributes
Show child attributes
Was this page helpful?